<?php

/**
 * Subclass for performing query and update operations on the 'PERFILES_CREDENCIALES' table.
 *
 *
 *
 * @package lib.model
 */
class PerfilesCredencialesPeer extends BasePerfilesCredencialesPeer
{
  public static function getPerfilCredencial($id_perfil,$id_credencial)
  {
    $c = new Criteria();
    $c->add(PerfilesCredencialesPeer::ID_PERFIL,$id_perfil);
    $c->add(PerfilesCredencialesPeer::ID_CREDENCIAL,$id_credencial);
    $c->add(PerfilesCredencialesPeer::ESTADO,1);
    if(PerfilesCredencialesPeer::doCount($c) > 0):
   	 return 1;
    endif;
    return 0;
  }

  public static function newPerfilCredencial($id_perfil,$id_credencial,$estado)
  {
    $perfilCredencial = new PerfilesCredenciales();
    $perfilCredencial->setIdPerfil($id_perfil);
    $perfilCredencial->setIdCredencial($id_credencial);
    $perfilCredencial->setEstado($estado);
    $perfilCredencial->save();
  }

  public static function actualizaPerfilCredencial($id_perfil,$id_credencial,$nuevo_estado)
  {
    $c = new Criteria();
    $c->add(PerfilesCredencialesPeer::ID_PERFIL,$id_perfil);
    $c->add(PerfilesCredencialesPeer::ID_CREDENCIAL,$id_credencial);
    
    if(PerfilesCredencialesPeer::doCount($c) > 0):
	    $perfilCredencial = PerfilesCredencialesPeer::doSelectOne($c);
	    $perfilCredencial->setEstado($nuevo_estado);
	    $perfilCredencial->save();
    else:
    	PerfilesCredencialesPeer::newPerfilCredencial($id_perfil,$id_credencial,$nuevo_estado);
    endif;
  }
}
